package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.MsgTemplate;
import com.sa.ibiz.demo.demo.service.dto.MsgTemplateSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[MsgTemplate] 服务对象接口
 */
public interface MsgTemplateService extends IService<MsgTemplate>{

	boolean remove(MsgTemplate et);
		MsgTemplate get(MsgTemplate et);
	boolean checkKey(MsgTemplate et);
	boolean update(MsgTemplate et);
	boolean create(MsgTemplate et);
	boolean getDraft(MsgTemplate et);
    List<MsgTemplate> listDefault(MsgTemplateSearchFilter filter) ;
	Page<MsgTemplate> searchDefault(MsgTemplateSearchFilter filter);
	/**	 实体[MsgTemplate] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }